Index: /prdatasets/arrhythmia.m
===================================================================
--- /prdatasets/arrhythmia.m	(revision 80)
+++ /prdatasets/arrhythmia.m	(revision 81)
@@ -43,5 +43,5 @@
 
 a = load('arrhythmia.dat');
-x = prdataset(a(:,1:(end-1)),a(:,end));
+x = pr_dataset(a(:,1:(end-1)),a(:,end));
 x = setfeatlab(x,fl);
 x = setname(x,'Arrhythmia normal');
Index: /prdatasets/auto_mpg.m
===================================================================
--- /prdatasets/auto_mpg.m	(revision 80)
+++ /prdatasets/auto_mpg.m	(revision 81)
@@ -17,5 +17,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('auto_mpg');
+a = pr_dataset('auto_mpg');
 a = setname(a,'Car/miles-per-gallon');
 
Index: /prdatasets/biomed.m
===================================================================
--- /prdatasets/biomed.m	(revision 80)
+++ /prdatasets/biomed.m	(revision 81)
@@ -30,5 +30,5 @@
 
 a = load('biomed.dat');
-x = prdataset(a(:,[3 5 6 7 8]),cl(a(:,end)));
+x = pr_dataset(a(:,[3 5 6 7 8]),cl(a(:,end)));
 x = setfeatlab(x,fl);
 x = setname(x,'Biomed');
Index: /prdatasets/breast.m
===================================================================
--- /prdatasets/breast.m	(revision 80)
+++ /prdatasets/breast.m	(revision 81)
@@ -33,5 +33,5 @@
 a(J) = NaN;
 nlab = a(:,end)/2;   % the labels for the classes are (2,4), very strange
-x = prdataset(a(:,2:(end-1)), cl(nlab) );
+x = pr_dataset(a(:,2:(end-1)), cl(nlab) );
 x = setfeatlab(x,fl);
 x = setname(x,'Breast Wisconsin');
Index: /prdatasets/car.m
===================================================================
--- /prdatasets/car.m	(revision 80)
+++ /prdatasets/car.m	(revision 81)
@@ -22,5 +22,5 @@
 	featdom{i} = strvcat(strvals{i}');
 end
-x = prdataset(a(:,1:(end-1)), labs);
+x = pr_dataset(a(:,1:(end-1)), labs);
 x = setfeatlab(x,fl);
 x = setfeatdom(x,featdom);
Index: /prdatasets/cbands.m
===================================================================
--- /prdatasets/cbands.m	(revision 80)
+++ /prdatasets/cbands.m	(revision 81)
@@ -16,4 +16,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('cbands');
+a = pr_dataset('cbands');
 a = setname(a,'Chromosome Bands');
Index: /prdatasets/chromo.m
===================================================================
--- /prdatasets/chromo.m	(revision 80)
+++ /prdatasets/chromo.m	(revision 81)
@@ -13,4 +13,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('chromo');
+a = pr_dataset('chromo');
 a = setname(a,'Chromosome Features');
Index: /prdatasets/diabetes.m
===================================================================
--- /prdatasets/diabetes.m	(revision 80)
+++ /prdatasets/diabetes.m	(revision 81)
@@ -19,5 +19,5 @@
 
 a = load('diabetes.dat');
-x = prdataset(a(:,1:(end-1)),cl(a(:,end)+1));
+x = pr_dataset(a(:,1:(end-1)),cl(a(:,end)+1));
 x = setfeatlab(x,fl);
 x = setname(x,'Diabetes');
Index: /prdatasets/ecoli.m
===================================================================
--- /prdatasets/ecoli.m	(revision 80)
+++ /prdatasets/ecoli.m	(revision 81)
@@ -19,5 +19,5 @@
 
 a = load('ecoli.dat');
-x = prdataset(a(:,1:(end-1)),cl(a(:,end)));
+x = pr_dataset(a(:,1:(end-1)),cl(a(:,end)));
 x = setfeatlab(x,fl);
 x = setname(x,'Ecoli');
Index: /prdatasets/emim.m
===================================================================
--- /prdatasets/emim.m	(revision 80)
+++ /prdatasets/emim.m	(revision 81)
@@ -30,5 +30,5 @@
 name = ['emim' num2str(n)];
 prdatasets(mfilename,1,['http://prtools.org/prdatasets/' name '.mat']);
-a = prdataset(name);
+a = pr_dataset(name);
 a = setname(a,['EM' num2str(n) ' Image Delft']);
 
Index: /prdatasets/glass.m
===================================================================
--- /prdatasets/glass.m	(revision 80)
+++ /prdatasets/glass.m	(revision 81)
@@ -23,5 +23,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('glass');
+a = pr_dataset('glass');
 a = setname(a,'Glass Identification Dataset');
 a = setlablist(a,str2mat('BuildingFloat','BuildingNonFloat','Car','Other'));
Index: /prdatasets/heart.m
===================================================================
--- /prdatasets/heart.m	(revision 80)
+++ /prdatasets/heart.m	(revision 81)
@@ -27,5 +27,5 @@
 a = load('heart.dat');
 lab = (a(:,end)>0);
-x = prdataset(a(:,1:(end-1)),cl(lab+1));
+x = pr_dataset(a(:,1:(end-1)),cl(lab+1));
 x = setfeatlab(x,fl);
 x = setname(x,'Heart Cleveland');
Index: /prdatasets/hepatitis.m
===================================================================
--- /prdatasets/hepatitis.m	(revision 80)
+++ /prdatasets/hepatitis.m	(revision 81)
@@ -27,5 +27,5 @@
 
 a = load('hepatitis.dat');
-x = prdataset(a(:,2:end),cl(a(:,1)));
+x = pr_dataset(a(:,2:end),cl(a(:,1)));
 x = setfeatlab(x,fl);
 x = setname(x,'Hepatitis');
Index: /prdatasets/imox.m
===================================================================
--- /prdatasets/imox.m	(revision 80)
+++ /prdatasets/imox.m	(revision 81)
@@ -17,5 +17,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('imox');
+a = pr_dataset('imox');
 a = setname(a,'IMOX Dataset');
 a = setlablist(a,str2mat('I','M','O','X'));
Index: /prdatasets/ionosphere.m
===================================================================
--- /prdatasets/ionosphere.m	(revision 80)
+++ /prdatasets/ionosphere.m	(revision 81)
@@ -20,5 +20,5 @@
 % the stats toolbox has a ionosphere.mat file too, avoid it
 pp = fileparts(which(mfilename));
-a = prdataset(fullfile(pp,'ionosphere'));
+a = pr_dataset(fullfile(pp,'ionosphere'));
 a = setname(a,'Ionosphere Dataset');
 a = setlablist(a,{'good','bad'});
Index: /prdatasets/iris.m
===================================================================
--- /prdatasets/iris.m	(revision 80)
+++ /prdatasets/iris.m	(revision 81)
@@ -16,5 +16,5 @@
 pp = fileparts(which(mfilename));
 a = load(fullfile(pp,'iris.dat'));
-x = prdataset(a(:,1:(end-1)), cl(a(:,end)));
+x = pr_dataset(a(:,1:(end-1)), cl(a(:,end)));
 x = setfeatlab(x,fl);
 x = setuser(x,user);
Index: /prdatasets/kimia.m
===================================================================
--- /prdatasets/kimia.m	(revision 80)
+++ /prdatasets/kimia.m	(revision 81)
@@ -21,5 +21,5 @@
 	 'car' 'children' 'van' 'elephant' 'head' 'fork' 'fountain' ...
  	 'hammer' 'key' 'ray' 'turtle'};
-a = prdataset('kimia');
+a = pr_dataset('kimia');
 a = setlablist(a,labs);
 a = setname(a,'Kimia Dataset');
Index: /prdatasets/lena.m
===================================================================
--- /prdatasets/lena.m	(revision 80)
+++ /prdatasets/lena.m	(revision 81)
@@ -16,5 +16,5 @@
 prdatasets(mfilename,2);
 s = warning;
-a = prdataset('lena');
+a = pr_dataset('lena');
 a = setfeatlab(a,['red  ';'green';'blue ']);
 a = setname(a,'Lena');
Index: /prdatasets/liver.m
===================================================================
--- /prdatasets/liver.m	(revision 80)
+++ /prdatasets/liver.m	(revision 81)
@@ -16,5 +16,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('liver');
+a = pr_dataset('liver');
 a = setname(a,'Liver disorder dataset');
 
Index: /prdatasets/malaysia.m
===================================================================
--- /prdatasets/malaysia.m	(revision 80)
+++ /prdatasets/malaysia.m	(revision 81)
@@ -15,4 +15,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('malaysia');
+a = pr_dataset('malaysia');
 a = setname(a,'Malaysia Data');
Index: /prdatasets/mfeat_fac.m
===================================================================
--- /prdatasets/mfeat_fac.m	(revision 80)
+++ /prdatasets/mfeat_fac.m	(revision 81)
@@ -15,4 +15,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('mfeat_fac');
+a = pr_dataset('mfeat_fac');
 a = setname(a,'MFEAT Face Features');
Index: /prdatasets/mfeat_fou.m
===================================================================
--- /prdatasets/mfeat_fou.m	(revision 80)
+++ /prdatasets/mfeat_fou.m	(revision 81)
@@ -14,4 +14,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('mfeat_fou');
+a = pr_dataset('mfeat_fou');
 a = setname(a,'MFEAT Fourier Features');
Index: /prdatasets/mfeat_kar.m
===================================================================
--- /prdatasets/mfeat_kar.m	(revision 80)
+++ /prdatasets/mfeat_kar.m	(revision 81)
@@ -14,4 +14,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('mfeat_kar');
+a = pr_dataset('mfeat_kar');
 a = setname(a,'MFEAT KL Features');
Index: /prdatasets/mfeat_mor.m
===================================================================
--- /prdatasets/mfeat_mor.m	(revision 80)
+++ /prdatasets/mfeat_mor.m	(revision 81)
@@ -14,4 +14,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('mfeat_mor');
+a = pr_dataset('mfeat_mor');
 a = setname(a,'MFEAT Morphological Features');
Index: /prdatasets/mfeat_pix.m
===================================================================
--- /prdatasets/mfeat_pix.m	(revision 80)
+++ /prdatasets/mfeat_pix.m	(revision 81)
@@ -15,4 +15,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('mfeat_pix');
+a = pr_dataset('mfeat_pix');
 a = setname(a,'MFEAT Pixel Features');
Index: /prdatasets/mfeat_zer.m
===================================================================
--- /prdatasets/mfeat_zer.m	(revision 80)
+++ /prdatasets/mfeat_zer.m	(revision 81)
@@ -14,4 +14,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('mfeat_zer');
+a = pr_dataset('mfeat_zer');
 a = setname(a,'MFEAT Zernike Moments');
Index: /prdatasets/nist16.m
===================================================================
--- /prdatasets/nist16.m	(revision 80)
+++ /prdatasets/nist16.m	(revision 81)
@@ -15,5 +15,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('nist16');
+a = pr_dataset('nist16');
 a = setname(a,'NIST16 Normalised Digits');
 
Index: /prdatasets/pr_dataset.m
===================================================================
--- /prdatasets/pr_dataset.m	(revision 81)
+++ /prdatasets/pr_dataset.m	(revision 81)
@@ -0,0 +1,11 @@
+%PR_DATASET  Create DATASET (PRTools4) or PRDATASET (PRTools5)
+%
+%   A = PR_DATASET(...)
+
+function a = pr_dataset(varargin)
+
+if prversion < 5
+  a = dataset(varargin{:});
+else
+  a = prdataset(varargin{:});
+end
Index: /prdatasets/ringnorm.m
===================================================================
--- /prdatasets/ringnorm.m	(revision 80)
+++ /prdatasets/ringnorm.m	(revision 81)
@@ -20,5 +20,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('ringnorm');
+a = pr_dataset('ringnorm');
 a = setname(a,'Ringnorm Data');
 
Index: /prdatasets/satellite.m
===================================================================
--- /prdatasets/satellite.m	(revision 80)
+++ /prdatasets/satellite.m	(revision 81)
@@ -18,4 +18,4 @@
 
 prdatasets(mfilename,1);
-a = prdataset('satellite');
+a = pr_dataset('satellite');
 a = setname(a,'Satellite dataset');
Index: /prdatasets/sonar.m
===================================================================
--- /prdatasets/sonar.m	(revision 80)
+++ /prdatasets/sonar.m	(revision 81)
@@ -16,5 +16,5 @@
 a = load('sonar.dat');
 
-x = prdataset(a(:,1:(end-1)),cl(a(:,end)));
+x = pr_dataset(a(:,1:(end-1)),cl(a(:,end)));
 x = setname(x,'Sonar');
 x = setuser(x,user);
Index: /prdatasets/soybean1.m
===================================================================
--- /prdatasets/soybean1.m	(revision 80)
+++ /prdatasets/soybean1.m	(revision 81)
@@ -15,5 +15,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('soybean1');
+a = pr_dataset('soybean1');
 a = setname(a,'Large soybean dataset');
 a = setlablist(a,str2mat(...
Index: /prdatasets/soybean2.m
===================================================================
--- /prdatasets/soybean2.m	(revision 80)
+++ /prdatasets/soybean2.m	(revision 81)
@@ -15,5 +15,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('soybean2');
+a = pr_dataset('soybean2');
 a = setname(a,'Small soybean dataset');
 a = setlablist(a,str2mat(...
Index: /prdatasets/texturel.m
===================================================================
--- /prdatasets/texturel.m	(revision 80)
+++ /prdatasets/texturel.m	(revision 81)
@@ -22,4 +22,4 @@
 
 prdatasets(mfilename,4);
-a = prdataset('texturel');
+a = pr_dataset('texturel');
 a = setname(a,'Texture Learning Set');
Index: /prdatasets/texturet.m
===================================================================
--- /prdatasets/texturet.m	(revision 80)
+++ /prdatasets/texturet.m	(revision 81)
@@ -22,4 +22,4 @@
 
 prdatasets(mfilename,4);
-a = prdataset('texturet');
+a = pr_dataset('texturet');
 a = setname(a,'Texture Test Set');
Index: /prdatasets/twonorm.m
===================================================================
--- /prdatasets/twonorm.m	(revision 80)
+++ /prdatasets/twonorm.m	(revision 81)
@@ -20,5 +20,5 @@
 
 prdatasets(mfilename,1);
-a = prdataset('twonorm');
+a = pr_dataset('twonorm');
 a = setname(a,'Twonorm Data');
 
Index: /prdatasets/wine.m
===================================================================
--- /prdatasets/wine.m	(revision 80)
+++ /prdatasets/wine.m	(revision 81)
@@ -19,5 +19,5 @@
 
 a = load('wine.dat');
-a = prdataset(a(:,2:end),a(:,1));
+a = pr_dataset(a(:,2:end),a(:,1));
 a = setname(a,'Wine recognition data');
 a = setlablist(a,str2mat('cultivar 1','cultivar 2','cultivar 3'));
Index: /prdatasets/x80.m
===================================================================
--- /prdatasets/x80.m	(revision 80)
+++ /prdatasets/x80.m	(revision 81)
@@ -25,5 +25,5 @@
 
 prdatasets('80x',1);
-a = prdataset('80x');
+a = pr_dataset('80x');
 a = setname(a,'80X Dataset');
 a = setlablist(a,str2mat('8','0','X'));