Index: /prdatasets/auto_mpg.m
===================================================================
--- /prdatasets/auto_mpg.m	(revision 121)
+++ /prdatasets/auto_mpg.m	(revision 122)
@@ -20,6 +20,6 @@
 a = setname(a,'Car-miles-per-gallon');
 
-a = setlablist(a,str2mat('< 25 mpg ','> 25 mpg'));
-a = setfeatlab(a,str2mat(...
+a = setlablist(a,char('< 25 mpg ','> 25 mpg'));
+a = setfeatlab(a,char(...
         'cylinders: multi-valued discrete', ...
         'displacement: continuous', ...
Index: /prdatasets/glass.m
===================================================================
--- /prdatasets/glass.m	(revision 121)
+++ /prdatasets/glass.m	(revision 122)
@@ -25,6 +25,6 @@
 a = pr_dataset('glass');
 a = setname(a,'Glass Identification Dataset');
-a = setlablist(a,str2mat('BuildingFloat','BuildingNonFloat','Car','Other'));
-a = setfeatlab(a,str2mat(...
+a = setlablist(a,char('BuildingFloat','BuildingNonFloat','Car','Other'));
+a = setfeatlab(a,char(...
         'refractive index', ...
         'sodium', ...
Index: /prdatasets/heart.m
===================================================================
--- /prdatasets/heart.m	(revision 121)
+++ /prdatasets/heart.m	(revision 122)
@@ -28,6 +28,6 @@
 fl = {'age' 'sex' 'cp' 'trestbps' 'chol' 'fbs' 'restecg' ...
 	'thalach' 'exang' 'oldpeak' 'slope' 'ca' 'thal'};
-fd = {[0 inf; 0 inf] [0 1] [1 2 3 4] [0 inf; 0 inf] [0 inf; 0 inf]...
-[0 1] [0 1 2] [0 inf; 0 inf] [0 1] [0 inf; 0 inf] [1 2 3] [-1 0 1 2 3] [3 6 7]};
+fd = {[0 inf; 0 inf] [0 1] [1 2 3 4] [0 inf; 0 inf] [0 inf; 0 inf] ...
+      [0 1] [0 1 2] [0 inf; 0 inf] [0 1] [0 inf; 0 inf] [1 2 3] [-1 0 1 2 3] [3 6 7]};
 
 a = load('heart.dat');
Index: /prdatasets/imox.m
===================================================================
--- /prdatasets/imox.m	(revision 121)
+++ /prdatasets/imox.m	(revision 122)
@@ -19,6 +19,6 @@
 a = pr_dataset('imox');
 a = setname(a,'IMOX Dataset');
-a = setlablist(a,str2mat('I','M','O','X'));
-a = setfeatlab(a,str2mat(...
+a = setlablist(a,char('I','M','O','X'));
+a = setfeatlab(a,char(...
         'diagonal from top-left', ...
         'vertical from top-center', ...
Index: /prdatasets/liver.m
===================================================================
--- /prdatasets/liver.m	(revision 121)
+++ /prdatasets/liver.m	(revision 122)
@@ -19,6 +19,6 @@
 a = setname(a,'Liver disorder dataset');
 
-a = setlablist(a,str2mat('healthy','disorder'));
-a = setfeatlab(a,str2mat(...
+a = setlablist(a,char('healthy','disorder'));
+a = setfeatlab(a,char(...
         'mean corpuscular volume', ...
         'alkaline phosphotase', ...
Index: /prdatasets/soybean1.m
===================================================================
--- /prdatasets/soybean1.m	(revision 121)
+++ /prdatasets/soybean1.m	(revision 122)
@@ -17,5 +17,5 @@
 a = pr_dataset('soybean1');
 a = setname(a,'Large soybean dataset');
-a = setlablist(a,str2mat(...
+a = setlablist(a,char(...
     'diaporthe stem canker',...
     'charcoal rot',...
@@ -37,5 +37,5 @@
     '2-4-d injury',...
     'herbicide injury'));
-a = setfeatlab(a,str2mat(...
+a = setfeatlab(a,char(...
     'date',...
     'plant stand',...
Index: /prdatasets/soybean2.m
===================================================================
--- /prdatasets/soybean2.m	(revision 121)
+++ /prdatasets/soybean2.m	(revision 122)
@@ -17,10 +17,10 @@
 a = pr_dataset('soybean2');
 a = setname(a,'Small soybean dataset');
-a = setlablist(a,str2mat(...
+a = setlablist(a,char(...
     'phytophthora rot',...
     'brown spot',...
     'alternarialeaf spot',...
     'frog eye leaf spot'));
-a = setfeatlab(a,str2mat(...
+a = setfeatlab(a,char(...
     'date',...
     'plant stand',...
Index: /prdatasets/wine.m
===================================================================
--- /prdatasets/wine.m	(revision 121)
+++ /prdatasets/wine.m	(revision 122)
@@ -21,6 +21,6 @@
 a = pr_dataset(a(:,2:end),a(:,1));
 a = setname(a,'Wine recognition data');
-a = setlablist(a,str2mat('cultivar 1','cultivar 2','cultivar 3'));
-a = setfeatlab(a,str2mat(...
+a = setlablist(a,char('cultivar 1','cultivar 2','cultivar 3'));
+a = setfeatlab(a,char(...
         'alcohol', ...
         'malic acid', ...
Index: /prdatasets/x80.m
===================================================================
--- /prdatasets/x80.m	(revision 121)
+++ /prdatasets/x80.m	(revision 122)
@@ -27,6 +27,6 @@
 a = pr_dataset('80x');
 a = setname(a,'80X Dataset');
-a = setlablist(a,str2mat('8','0','X'));
-a = setfeatlab(a,str2mat(...
+a = setlablist(a,char('8','0','X'));
+a = setfeatlab(a,char(...
         'diagonal from top-left', ...
         'vertical from top-center', ...