Index: prdatasets/arrhythmia.m
===================================================================
--- prdatasets/arrhythmia.m	(revision 126)
+++ prdatasets/arrhythmia.m	(revision 127)
@@ -16,9 +16,9 @@
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 
 function x = arrhythmia(val)
 if nargin < 1, 	val = 'f-remove'; end
-a = pr_getdata('http://prtools.org/prdatasets/arrhythmia.dat',1);
+a = pr_getdata('http://prtools.tudelft.nl/prdatasets/arrhythmia.dat',1);
 
 
Index: prdatasets/auto_mpg.m
===================================================================
--- prdatasets/auto_mpg.m	(revision 126)
+++ prdatasets/auto_mpg.m	(revision 127)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/biomed.m
===================================================================
--- prdatasets/biomed.m	(revision 126)
+++ prdatasets/biomed.m	(revision 127)
@@ -18,5 +18,5 @@
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 
 function x = biomed(val)
Index: prdatasets/breast.m
===================================================================
--- prdatasets/breast.m	(revision 126)
+++ prdatasets/breast.m	(revision 127)
@@ -18,10 +18,10 @@
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 
 function x = breast(val)
 
 if nargin < 1, val = 'remove'; end
-%prdatasets(mfilename,1,'http://prtools.org/prdatasets/breastorg.dat');
+%prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/breastorg.dat');
 
 a = pr_getdata('http://37steps.com/data/prdatasets/breastorg.dat',1);
Index: prdatasets/car.m
===================================================================
--- prdatasets/car.m	(revision 126)
+++ prdatasets/car.m	(revision 127)
@@ -11,8 +11,8 @@
 function x = car
 
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/car.data');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/car.data');
 % for some mysterious reason it appeared to be necessary on my Windows 7
 % system to repeat this command
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/car.data');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/car.data');
 user.desc = 'Car Evaluation Database was derived from a simple hierarchical decision model originally developed for the demonstration of DEX (M. Bohanec, V. Rajkovic: Expert system for decision making. Sistemica 1(1), pp. 145-157, 1990.).';
 fl = {'buying price' 'maintenance price' 'nr of doors' 'nr of persons' 'luggage boot' 'safety'};
Index: prdatasets/cbands.m
===================================================================
--- prdatasets/cbands.m	(revision 126)
+++ prdatasets/cbands.m	(revision 127)
@@ -9,5 +9,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/chromo.m
===================================================================
--- prdatasets/chromo.m	(revision 126)
+++ prdatasets/chromo.m	(revision 127)
@@ -6,5 +6,5 @@
 % thresholded chromosomes. This technique is outdated.
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/diabetes.m
===================================================================
--- prdatasets/diabetes.m	(revision 126)
+++ prdatasets/diabetes.m	(revision 127)
@@ -10,5 +10,5 @@
 function x = diabetes
 
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/diabetes.dat');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/diabetes.dat');
 user.desc='The Pima Indians Diabetes Database from UCI.';
 user.link = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/pima-indians-diabetes/';
Index: prdatasets/ecoli.m
===================================================================
--- prdatasets/ecoli.m	(revision 126)
+++ prdatasets/ecoli.m	(revision 127)
@@ -9,5 +9,5 @@
 function x = ecoli
 
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/ecoli.dat');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/ecoli.dat');
 user.desc='The Ecoli database from UCI. Goal is to Predict the localization site of protein in a cell, by Kenta Nakai Institue of Molecular and Cellular Biology Osaka, University.';
 user.link = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/ecoli/';
Index: prdatasets/emim.m
===================================================================
--- prdatasets/emim.m	(revision 126)
+++ prdatasets/emim.m	(revision 127)
@@ -16,5 +16,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5038, 2600 GA Delft, The Netherlands
@@ -29,5 +29,5 @@
 
 name = ['emim' num2str(n)];
-prdatasets(mfilename,1,['http://prtools.org/prdatasets/' name '.mat']);
+prdatasets(mfilename,1,['http://prtools.tudelft.nl/prdatasets/' name '.mat']);
 a = pr_dataset(name);
 a = setname(a,['EM' num2str(n) ' Image Delft']);
Index: prdatasets/glass.m
===================================================================
--- prdatasets/glass.m	(revision 126)
+++ prdatasets/glass.m	(revision 127)
@@ -16,5 +16,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/heart.m
===================================================================
--- prdatasets/heart.m	(revision 126)
+++ prdatasets/heart.m	(revision 127)
@@ -14,9 +14,9 @@
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 
 function x = heart(val)
 
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/heart.dat');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/heart.dat');
 if nargin<1
 	val = 'remove';
Index: prdatasets/hepatitis.m
===================================================================
--- prdatasets/hepatitis.m	(revision 126)
+++ prdatasets/hepatitis.m	(revision 127)
@@ -14,9 +14,9 @@
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 
 function x = hepatitis(val);
 
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/hepatitis.dat');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/hepatitis.dat');
 if nargin<1
 	val = 'remove';
Index: prdatasets/imox.m
===================================================================
--- prdatasets/imox.m	(revision 126)
+++ prdatasets/imox.m	(revision 127)
@@ -10,5 +10,5 @@
 % See also DATASETS, PRDATASETS, X80
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/ionosphere.m
===================================================================
--- prdatasets/ionosphere.m	(revision 126)
+++ prdatasets/ionosphere.m	(revision 127)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/iris.m
===================================================================
--- prdatasets/iris.m	(revision 126)
+++ prdatasets/iris.m	(revision 127)
@@ -7,5 +7,5 @@
 function x = iris;
 
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/iris.dat');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/iris.dat');
 user.desc = 'Iris Plant database from UCI. A classic dataset in the pattern recognition literature.  The original dataset is a multiclass classification problem, introduced by R.A. Fisher, The use of multiple measurements in taxonomic problems. Ann Eugenics, 7:179--188, 1936.';
 user.link = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/iris/';
Index: prdatasets/kimia.m
===================================================================
--- prdatasets/kimia.m	(revision 126)
+++ prdatasets/kimia.m	(revision 127)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS, PRDATAFILES, PRDATAFILES/KIMIA_IMAGES
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/lena.m
===================================================================
--- prdatasets/lena.m	(revision 126)
+++ prdatasets/lena.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/liver.m
===================================================================
--- prdatasets/liver.m	(revision 126)
+++ prdatasets/liver.m	(revision 127)
@@ -9,5 +9,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/malaysia.m
===================================================================
--- prdatasets/malaysia.m	(revision 126)
+++ prdatasets/malaysia.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5038, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat.m
===================================================================
--- prdatasets/mfeat.m	(revision 126)
+++ prdatasets/mfeat.m	(revision 127)
@@ -24,5 +24,5 @@
 % MFEAT_PIX, MFEAT_ZER
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat_all.m
===================================================================
--- prdatasets/mfeat_all.m	(revision 126)
+++ prdatasets/mfeat_all.m	(revision 127)
@@ -19,5 +19,5 @@
 % See also DATASETS, PRDATASETS, 
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat_fac.m
===================================================================
--- prdatasets/mfeat_fac.m	(revision 126)
+++ prdatasets/mfeat_fac.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat_fou.m
===================================================================
--- prdatasets/mfeat_fou.m	(revision 126)
+++ prdatasets/mfeat_fou.m	(revision 127)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat_kar.m
===================================================================
--- prdatasets/mfeat_kar.m	(revision 126)
+++ prdatasets/mfeat_kar.m	(revision 127)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat_mor.m
===================================================================
--- prdatasets/mfeat_mor.m	(revision 126)
+++ prdatasets/mfeat_mor.m	(revision 127)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat_pix.m
===================================================================
--- prdatasets/mfeat_pix.m	(revision 126)
+++ prdatasets/mfeat_pix.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mfeat_zer.m
===================================================================
--- prdatasets/mfeat_zer.m	(revision 126)
+++ prdatasets/mfeat_zer.m	(revision 127)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/mnist8.m
===================================================================
--- prdatasets/mnist8.m	(revision 126)
+++ prdatasets/mnist8.m	(revision 127)
@@ -13,5 +13,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/nist16.m
===================================================================
--- prdatasets/nist16.m	(revision 126)
+++ prdatasets/nist16.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/nist32.m
===================================================================
--- prdatasets/nist32.m	(revision 126)
+++ prdatasets/nist32.m	(revision 127)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, NIST16
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/ringnorm.m
===================================================================
--- prdatasets/ringnorm.m	(revision 126)
+++ prdatasets/ringnorm.m	(revision 127)
@@ -13,5 +13,5 @@
 % See also DATASETS, PRDATASETS, TWONORM
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/satellite.m
===================================================================
--- prdatasets/satellite.m	(revision 126)
+++ prdatasets/satellite.m	(revision 127)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS, SOYBEAN1
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/sonar.m
===================================================================
--- prdatasets/sonar.m	(revision 126)
+++ prdatasets/sonar.m	(revision 127)
@@ -10,5 +10,5 @@
 function x = sonar
 
-prdatasets(mfilename,1,'http://prtools.org/prdatasets/sonar.dat');
+prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/sonar.dat');
 user.desc = 'The Sonar dataset from the undocumented databases from UCI. The task is to train a network to discriminate between sonar signals bounced off a metal cylinder and those bounced off a roughly cylindrical rock.';
 user.link = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/undocumented/connectionist-bench/sonar';
Index: prdatasets/soybean1.m
===================================================================
--- prdatasets/soybean1.m	(revision 126)
+++ prdatasets/soybean1.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, SOYBEAN2
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/soybean2.m
===================================================================
--- prdatasets/soybean2.m	(revision 126)
+++ prdatasets/soybean2.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, SOYBEAN1
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/texturel.m
===================================================================
--- prdatasets/texturel.m	(revision 126)
+++ prdatasets/texturel.m	(revision 127)
@@ -15,5 +15,5 @@
 % See also DATASETS, PRDATASETS, TEXTURET
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/texturet.m
===================================================================
--- prdatasets/texturet.m	(revision 126)
+++ prdatasets/texturet.m	(revision 127)
@@ -15,5 +15,5 @@
 % See also DATASETS, PRDATASETS, TEXTUREL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/twonorm.m
===================================================================
--- prdatasets/twonorm.m	(revision 126)
+++ prdatasets/twonorm.m	(revision 127)
@@ -13,5 +13,5 @@
 % See also DATASETS, PRDATASETS, RINGNORM
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: prdatasets/wine.m
===================================================================
--- prdatasets/wine.m	(revision 126)
+++ prdatasets/wine.m	(revision 127)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
@@ -14,6 +14,6 @@
 function a = wine
 
-url = 'http://prtools.org/prdatasets/wine.dat';
-%prdatasets(mfilename,1,'http://prtools.org/prdatasets/wine.dat');
+url = 'http://prtools.tudelft.nl/prdatasets/wine.dat';
+%prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/wine.dat');
 user.desc = 'These data are the results of a chemical analysis of wines grown in the same region in Italy but derived from three different cultivars.  The analysis determined the quantities of 13 constituents found in each of the three types of wines.';
 user.link = '';
Index: prdatasets/x80.m
===================================================================
--- prdatasets/x80.m	(revision 126)
+++ prdatasets/x80.m	(revision 127)
@@ -18,5 +18,5 @@
 % See also DATASETS, PRDATASETS, IMOX
 
-% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
+% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands