Index: /prdatasets/arrhythmia.m
===================================================================
--- /prdatasets/arrhythmia.m	(revision 131)
+++ /prdatasets/arrhythmia.m	(revision 132)
@@ -13,8 +13,8 @@
 % is desired, use one of the options in MISVAL for VAL.
 %
-% SEE ALSO <a href="http://37steps.com/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
+% SEE ALSO <a href="http://prtools.tudelft.nl/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 
 function x = arrhythmia(val)
Index: /prdatasets/auto_mpg.m
===================================================================
--- /prdatasets/auto_mpg.m	(revision 131)
+++ /prdatasets/auto_mpg.m	(revision 132)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
@@ -18,5 +18,5 @@
 
 function a = auto_mpg
-a = pr_getdata('http://37steps.com/data/prdatasets/auto_mpg.mat',1);
+a = pr_getdata('http://prtools.tudelft.nl/prdatasets/auto_mpg.mat',1);
 %a = setname(a,'Car-miles-per-gallon');
 a = setlablist(a,char('< 25 mpg ','> 25 mpg'));
Index: /prdatasets/biomed.m
===================================================================
--- /prdatasets/biomed.m	(revision 131)
+++ /prdatasets/biomed.m	(revision 132)
@@ -15,13 +15,13 @@
 % Just the original features 3, 5, 6, 7 and 8 are used.
 %
-% SEE ALSO <a href="http://37steps.com/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
+% SEE ALSO <a href="http://prtools.tudelft.nl/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 
 function x = biomed(val)
 
 if nargin < 1, val = 'remove'; end
-a = pr_getdata('http://37steps.com/data/prdatasets/biomed.dat',1);
+a = pr_getdata('http://prtools.tudelft.nl/prdatasets/biomed.dat',1);
 
 user.desc = 'The purpose of the analysis is to develop a screening procedure to detect carriers and to describe its effectiveness. ';
Index: /prdatasets/breast.m
===================================================================
--- /prdatasets/breast.m	(revision 131)
+++ /prdatasets/breast.m	(revision 132)
@@ -15,8 +15,8 @@
 % is desired, use one of the options in MISVAL for Val.
 %
-% SEE ALSO <a href="http://37steps.com/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
+% SEE ALSO <a href="http://prtools.tudelft.nl/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 
 function x = breast(val)
@@ -25,5 +25,5 @@
 %prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/breastorg.dat');
 
-a = pr_getdata('http://37steps.com/data/prdatasets/breastorg.dat',1);
+a = pr_getdata('http://prtools.tudelft.nl/prdatasets/breastorg.dat',1);
 
 user.desc='The original database of the Wisconsin Breast Cancer Databases from UCI, containing 699 instances, collected between 1989 and 1991. ';
Index: /prdatasets/cbands.m
===================================================================
--- /prdatasets/cbands.m	(revision 131)
+++ /prdatasets/cbands.m	(revision 132)
@@ -9,5 +9,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
@@ -15,4 +15,5 @@
 function a = cbands
 
-a = prdatasets(mfilename,1);
+prdatasets(mfilename,1);
+a = pr_dataset('cbands');
 a = setname(a,'Chromosome Bands');
Index: /prdatasets/chromo.m
===================================================================
--- /prdatasets/chromo.m	(revision 131)
+++ /prdatasets/chromo.m	(revision 132)
@@ -6,5 +6,5 @@
 % thresholded chromosomes. This technique is outdated.
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/emim.m
===================================================================
--- /prdatasets/emim.m	(revision 131)
+++ /prdatasets/emim.m	(revision 132)
@@ -16,5 +16,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5038, 2600 GA Delft, The Netherlands
Index: /prdatasets/glass.m
===================================================================
--- /prdatasets/glass.m	(revision 131)
+++ /prdatasets/glass.m	(revision 132)
@@ -16,5 +16,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/heart.m
===================================================================
--- /prdatasets/heart.m	(revision 131)
+++ /prdatasets/heart.m	(revision 132)
@@ -11,8 +11,8 @@
 % is desired, use one of the options in MISVAL.
 %
-% SEE ALSO <a href="http://37steps.com/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
+% SEE ALSO <a href="http://prtools.tudelft.nl/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 
 function x = heart(val)
Index: /prdatasets/hepatitis.m
===================================================================
--- /prdatasets/hepatitis.m	(revision 131)
+++ /prdatasets/hepatitis.m	(revision 132)
@@ -11,8 +11,8 @@
 % is desired, use one of the options in MISVAL.
 %
-% SEE ALSO <a href="http://37steps.com/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
+% SEE ALSO <a href="http://prtools.tudelft.nl/prtools">PRTools Guide</a>, <a href="http://archive.ics.uci.edu/ml/">UCI Website</a>
 % PRTOOLS, DATASETS, MISVAL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 
 function x = hepatitis(val);
Index: /prdatasets/imox.m
===================================================================
--- /prdatasets/imox.m	(revision 131)
+++ /prdatasets/imox.m	(revision 132)
@@ -10,5 +10,5 @@
 % See also DATASETS, PRDATASETS, X80
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/ionosphere.m
===================================================================
--- /prdatasets/ionosphere.m	(revision 131)
+++ /prdatasets/ionosphere.m	(revision 132)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/iris.m
===================================================================
--- /prdatasets/iris.m	(revision 131)
+++ /prdatasets/iris.m	(revision 132)
@@ -5,5 +5,5 @@
 % Iris plants dataset by R.A.Fisher, 150 objects, 4 features, 3
 % classes.
-function x = iris
+function x = iris;
 
 prdatasets(mfilename,1,'http://prtools.tudelft.nl/prdatasets/iris.dat');
Index: /prdatasets/kimia.m
===================================================================
--- /prdatasets/kimia.m	(revision 131)
+++ /prdatasets/kimia.m	(revision 132)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS, PRDATAFILES, PRDATAFILES/KIMIA_IMAGES
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/lena.m
===================================================================
--- /prdatasets/lena.m	(revision 131)
+++ /prdatasets/lena.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/liver.m
===================================================================
--- /prdatasets/liver.m	(revision 131)
+++ /prdatasets/liver.m	(revision 132)
@@ -9,5 +9,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/malaysia.m
===================================================================
--- /prdatasets/malaysia.m	(revision 131)
+++ /prdatasets/malaysia.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5038, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat.m
===================================================================
--- /prdatasets/mfeat.m	(revision 131)
+++ /prdatasets/mfeat.m	(revision 132)
@@ -24,5 +24,5 @@
 % MFEAT_PIX, MFEAT_ZER
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat_all.m
===================================================================
--- /prdatasets/mfeat_all.m	(revision 131)
+++ /prdatasets/mfeat_all.m	(revision 132)
@@ -19,5 +19,5 @@
 % See also DATASETS, PRDATASETS, 
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat_fac.m
===================================================================
--- /prdatasets/mfeat_fac.m	(revision 131)
+++ /prdatasets/mfeat_fac.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat_fou.m
===================================================================
--- /prdatasets/mfeat_fou.m	(revision 131)
+++ /prdatasets/mfeat_fou.m	(revision 132)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat_kar.m
===================================================================
--- /prdatasets/mfeat_kar.m	(revision 131)
+++ /prdatasets/mfeat_kar.m	(revision 132)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat_mor.m
===================================================================
--- /prdatasets/mfeat_mor.m	(revision 131)
+++ /prdatasets/mfeat_mor.m	(revision 132)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat_pix.m
===================================================================
--- /prdatasets/mfeat_pix.m	(revision 131)
+++ /prdatasets/mfeat_pix.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mfeat_zer.m
===================================================================
--- /prdatasets/mfeat_zer.m	(revision 131)
+++ /prdatasets/mfeat_zer.m	(revision 132)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, MFEAT
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/mnist8.m
===================================================================
--- /prdatasets/mnist8.m	(revision 131)
+++ /prdatasets/mnist8.m	(revision 132)
@@ -13,5 +13,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/nist16.m
===================================================================
--- /prdatasets/nist16.m	(revision 131)
+++ /prdatasets/nist16.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/nist32.m
===================================================================
--- /prdatasets/nist32.m	(revision 131)
+++ /prdatasets/nist32.m	(revision 132)
@@ -7,5 +7,5 @@
 % See also DATASETS, PRDATASETS, NIST16
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
@@ -14,5 +14,5 @@
 function a = nist32(N)
 if nargin < 1, N = [0:9]; end
-a = pr_getdata('http://37steps.com/data/prdatasets/nist32.mat',1);
+a = pr_getdata('http://prtools.tudelft.nl/prdatasets/nist32.mat',1);
 
 % prdatasets(mfilename,1);
Index: /prdatasets/pr_dataset.m
===================================================================
--- /prdatasets/pr_dataset.m	(revision 131)
+++ /prdatasets/pr_dataset.m	(revision 132)
@@ -4,13 +4,4 @@
 
 varargout = cell(1,nargout);
-name = varargin{1};
-if ischar(name)
-  if isempty(fileparts(name))
-    % add dir of calling function if no dir is given
-    dirr = fileparts(which(callername));
-    name = fullfile(dirr,name);
-    varargin{1} = name;
-  end
-end   
 if floor(prversion) == 4
   [varargout{:}] = dataset(varargin{:});
Index: /prdatasets/pr_getdata.m
===================================================================
--- /prdatasets/pr_getdata.m	(revision 131)
+++ /prdatasets/pr_getdata.m	(revision 132)
@@ -20,8 +20,7 @@
 % is constucted and returned to the user.
 %
-% SEE ALSO (<a href="http://37steps.com/prhtml/37tools.html">37tools Contents</a>)
-% DATASETS, DATAFILES
+% SEE ALSO DATASETS, DATAFILES
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 
 function out = pr_getdata(varargin)
@@ -34,5 +33,4 @@
 %  dset  : becomes full path and name of dataset
 %  ddir  : becomes full path of dataset
-
 name = callername;
 argin = setdefaults(varargin,[],[],[],[],true);
Index: /prdatasets/pr_readdataset.m
===================================================================
--- /prdatasets/pr_readdataset.m	(revision 131)
+++ /prdatasets/pr_readdataset.m	(revision 132)
@@ -20,5 +20,5 @@
 %DATASETS, SETFEATDOM, CELL2DSET
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 
 function a = pr_readdataset(file,varargin)
Index: /prdatasets/ringnorm.m
===================================================================
--- /prdatasets/ringnorm.m	(revision 131)
+++ /prdatasets/ringnorm.m	(revision 132)
@@ -13,5 +13,5 @@
 % See also DATASETS, PRDATASETS, TWONORM
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/satellite.m
===================================================================
--- /prdatasets/satellite.m	(revision 131)
+++ /prdatasets/satellite.m	(revision 132)
@@ -11,5 +11,5 @@
 % See also DATASETS, PRDATASETS, SOYBEAN1
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/soybean1.m
===================================================================
--- /prdatasets/soybean1.m	(revision 131)
+++ /prdatasets/soybean1.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, SOYBEAN2
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/soybean2.m
===================================================================
--- /prdatasets/soybean2.m	(revision 131)
+++ /prdatasets/soybean2.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS, SOYBEAN1
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/texturel.m
===================================================================
--- /prdatasets/texturel.m	(revision 131)
+++ /prdatasets/texturel.m	(revision 132)
@@ -15,5 +15,5 @@
 % See also DATASETS, PRDATASETS, TEXTURET
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/texturet.m
===================================================================
--- /prdatasets/texturet.m	(revision 131)
+++ /prdatasets/texturet.m	(revision 132)
@@ -15,5 +15,5 @@
 % See also DATASETS, PRDATASETS, TEXTUREL
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/twonorm.m
===================================================================
--- /prdatasets/twonorm.m	(revision 131)
+++ /prdatasets/twonorm.m	(revision 132)
@@ -13,5 +13,5 @@
 % See also DATASETS, PRDATASETS, RINGNORM
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
@@ -20,6 +20,5 @@
 
 prdatasets(mfilename,1);
-dsetname = which(mfilename);
-a = pr_dataset(dsetname(1,1:end-2));
+a = pr_dataset('twonorm');
 a = setname(a,'Twonorm Data');
 
Index: /prdatasets/wine.m
===================================================================
--- /prdatasets/wine.m	(revision 131)
+++ /prdatasets/wine.m	(revision 132)
@@ -8,5 +8,5 @@
 % See also DATASETS, PRDATASETS
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
Index: /prdatasets/x80.m
===================================================================
--- /prdatasets/x80.m	(revision 131)
+++ /prdatasets/x80.m	(revision 132)
@@ -18,9 +18,9 @@
 % See also DATASETS, PRDATASETS, IMOX
 
-% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
+% Copyright: R.P.W. Duin
 % Faculty EWI, Delft University of Technology
 % P.O. Box 5031, 2600 GA Delft, The Netherlands
 
-function a = x80
+function a = x80;
 
 prdatasets('80x',1);