Index: prdatasets/Contents.m
===================================================================
--- prdatasets/Contents.m	(revision 139)
+++ prdatasets/Contents.m	(revision 140)
@@ -8,7 +8,7 @@
 %arrhythmia  420    278       2    presence or absence of cardia arrhythmia
 %auto_mpg 	 398      6       2    car/miles-per-gallon
-%malaysia    291      8      20    segment features in utility symbols
 %biomed      194      5       2    various patient indicators
 %breast      683      9       2    Wisconsion breast cancer dataset
+%car        1728      6       4    Car evaluation database
 %cbands    12000     30      24    chromosome banding patterns
 %chromo     1143      8      24    chromosome blob features
@@ -17,8 +17,10 @@
 %glass       214      9       4    glass types from chemical components
 %heart       297     13       2    heart disease dataset
+%hepatitis   112     19       2    hepatitis database
 %imox        192      8       4    radial distances of characters
 %ionosphere  351     34       2    radar data
 %iris        150      4       3    Fisher's Iris dataset
 %liver       345      6       2    liver disorder
+%malaysia    291      8      20    segment features in utility symbols
 %satellite  6435     36       6    spectral data
 %sonar       208     60       2    rock / metal sonar features
@@ -34,4 +36,5 @@
 %mfeat_zer  2000     53      10    Zernike moments in digits dataset
 %mfeat_mor  2000      6      10    morphological features in digits dataset
+%mfeat      2000    649      10    combined features of the mfeat datasets
 %
 %Multi-band images (pixels are objects, bands are features)
@@ -47,4 +50,5 @@
 %name   images  pixels  classes
 %kimia     216   64*64    18  resampled Kimia dataset of silhouettes
-%mnist8  70000    8*8     10  Normalized MNIST digits
-%nist16   2000   16*16    10  Normalized NIST digits
+%mnist8  70000    8*8     10  normalized MNIST digits
+%nist16   2000   16*16    10  normalized NIST digits
+%nist32   5000   32*32    10  resemapled MNIST digits
Index: prdatasets/glass.m
===================================================================
--- prdatasets/glass.m	(revision 139)
+++ prdatasets/glass.m	(revision 140)
@@ -22,5 +22,5 @@
 function a = glass
 
-a = pr_getdata('http://prtools.tudelft.nl/prdatasets/glass.mat',1);
+a = pr_getdata;
 a = setname(a,'Glass Identification Dataset');
 a = setlablist(a,char('BuildingFloat','BuildingNonFloat','Car','Other'));
Index: prdatasets/mnist8.m
===================================================================
--- prdatasets/mnist8.m	(revision 139)
+++ prdatasets/mnist8.m	(revision 140)
@@ -19,5 +19,5 @@
 function [a,b] = mnist8
 
-a = pr_getdata;
+a = pr_getdata([],30);
 if nargout == 2
   b = a(60001:end,:);
Index: prdatasets/pr_getdata.m
===================================================================
--- prdatasets/pr_getdata.m	(revision 139)
+++ prdatasets/pr_getdata.m	(revision 140)
@@ -36,6 +36,13 @@
 %  ddir  : becomes full path of dataset
 name = pr_callername;
-argin = setdefaults(varargin,[],[],[],[],true);
+argin = setdefaults(varargin,[],[],[],[],[]);
 [url,size,dset,field,ask] = deal(argin{:});
+if isempty(ask)
+  if isempty(size)
+    ask = false;
+  else
+    ask = true;
+  end
+end
 
 if isempty(url)
@@ -62,5 +69,5 @@
 if isempty(out)
   if ask
-    ask_download(size)
+    ask_download(name,size)
   end
   % download in dir of dset
@@ -88,5 +95,5 @@
 end
   
-function ask_download(size)
+function ask_download(name,size)
 
   global ASK
@@ -101,5 +108,5 @@
       siz = '';
     end
-    q = input(['Dataset is not available, OK to download ' siz ' [y]/n ?'],'s');
+    q = input(['Dataset ' name ' is not available, OK to download ' siz ' [y]/n ?'],'s');
     if ~isempty(q) && ~strcmp(q,'y')
       error('Dataset not found')
Index: prdatasets/x80.m
===================================================================
--- prdatasets/x80.m	(revision 139)
+++ prdatasets/x80.m	(revision 140)
@@ -24,5 +24,5 @@
 function a = x80
 
-a = pr_getdata('http://prtools.tudelft.nl/prdatasets/80x.mat',1);
+a = pr_getdata('http://prtools.tudelft.nl/prdatasets/80x.mat');
 a = setname(a,'80X Dataset');
 a = setlablist(a,char('8','0','X'));